24-Oct-2020 05:24 GMT.
UNDER CONSTRUCTION
Anonymous, there are 37 items in your selection
[Forum] MUI 3.9 for 68kANN.lu
Posted on 16-Jul-2004 17:46 GMT by mui freak37 comments
View flat
View list
Hi,
we all know that the pre-release of OS4 is shipped with a plain 68k version of MUI 3.9. Now, I'm interested if it would be possible to install this version on a classic Amiga? Will it work? Or is there some hacky code to prevent it from being runned on a real Amiga? Please guys, let me know. This finally would be a way to have all those bug fixes from MUI 3.9 on our mc68k's. I'm not interested in OS4, but I would buy the pre-relase just for this MUI 3.9 if it runs on my A4000 properly....
MUI 3.9 for 68k : Comment 1 of 37ANN.lu
Posted by Anonymous on 16-Jul-2004 15:55 GMT
>I'm not interested in OS4, but I would buy the pre-relase just for this MUI >3.9 if it runs on my A4000 properly....

You would buy the pre-release, how? Problem is, you need a dongle called A1 for 700 to go with it :-(.

I asked an OS4 betatester, and he thought it's tied to OS4 specific libraries. But it would be nice to know this, too.
MUI 3.9 for 68k : Comment 2 of 37ANN.lu
Posted by Zerohero on 16-Jul-2004 16:52 GMT
Just did a small test, copied my AmigaOS4 MUI dir over to the WinUAE machine, did not work. Complained that it couldn't open muimaster.library.

Don't know if it's possible to tweak things a bit, but that's what I got.

Regards,

Zerohero
MUI 3.9 for 68k : Comment 3 of 37ANN.lu
Posted by Anonymous on 16-Jul-2004 17:48 GMT
Yes, muimaster.library is dongled to the A1 hardware. It will not run on anything but an A1.
MUI 3.9 for 68k : Comment 4 of 37ANN.lu
Posted by Anonymous on 16-Jul-2004 18:23 GMT
not only is it 'tied' to the rest of the OS components, but the 68k version is pretty much obsolete now. PPC is where its currently at.
MUI 3.9 for 68k : Comment 5 of 37ANN.lu
Posted by mark on 16-Jul-2004 19:01 GMT
In reply to Comment 3 (Anonymous):
i'm sure someone from our elit3 guys will remove the os4-dongle-stuff and release a cool mui 3.9 for the 68k
MUI 3.9 for 68k : Comment 6 of 37ANN.lu
Posted by Richi on 16-Jul-2004 19:36 GMT
Mui 3.9 compiled for 060 will make my life easier
MUI 3.9 for 68k : Comment 7 of 37ANN.lu
Posted by koan on 16-Jul-2004 20:20 GMT
Some of us paid the registration fee to SASG after the last 68k release in the hope (and some expectation) that there would be more MUI updates. Just because you register shareware doesn't automatically entitle you to a future update but it would be nice.

But it seems SASG went quiet and then MUI reappears as PPC only and not even for Classic systems with PPC cards, which was quite disappointing. Especially now there are two versions but one is restricted (OS4); not a great choice is it?

koan
MUI 3.9 for 68k : Comment 8 of 37ANN.lu
Posted by Amon_Re on 16-Jul-2004 20:41 GMT
In reply to Comment 7 (koan):
Well, the only app i use intensely that requires MUI is YAM, and the whole issue with MUI3.9 is abit confusing i guess, but posts like the one above relating to "AOS4 dongles, or AONE dongles" aren't really constructive neighter, i don't remember such a fuss when MOS started using MUI eg.

Atleast it seems both AOS4 & MOS will have compatable MUI solutions, wich is good, 68k for me isn't really that important anymore
MUI 3.9 for 68k : Comment 9 of 37ANN.lu
Posted by XraalE on 16-Jul-2004 20:46 GMT
Most of the additions of MUI 3.9 are cosmetic anyway. Some need quite a lot of CPU too, and that might tax even UAE, which isn't fast as MOS (or as fast as OS4 *should* be).
MUI 3.9 for 68k : Comment 10 of 37ANN.lu
Posted by itix on 16-Jul-2004 21:19 GMT
In reply to Comment 8 (Amon_Re):
"Atleast it seems both AOS4 & MOS will have compatable MUI solutions, wich is good, 68k for me isn't really that important anymore" Is there anyone left using Amiga and but isnt Peg/A1 owner?
MUI 3.9 for 68k : Comment 11 of 37ANN.lu
Posted by smithy on 16-Jul-2004 21:43 GMT
In reply to Comment 1 (Anonymous):
>Problem is, you need a dongle called A1 for 700 to go with it :-(.

I thought OS4 was supposed to run on Blizzard PPC cards too?
MUI 3.9 for 68k : Comment 12 of 37ANN.lu
Posted by James Carroll on 16-Jul-2004 23:06 GMT
In reply to Comment 10 (itix):
yeah, there was a poll this week on amigaworld.net about what amigas (amiga branded computers I mean) were being used by people.. and so far a little under half have voted for classics.. those numbers probably arent very accurate, but it does indicate that there are a few classic only guys around still.
MUI 3.9 for 68k : Comment 13 of 37ANN.lu
Posted by Richi on 17-Jul-2004 05:55 GMT
In reply to Comment 10 (itix):
Yes there are many!
MUI 3.9 for 68k : Comment 14 of 37ANN.lu
Posted by Anonymous on 17-Jul-2004 06:52 GMT
Just a question: I heard that the MorphOS MUI 3.9 is different from the "General" 3.9 now, that the MorphOS version has formed a completely different branch and a path of development of its own. Is this correct?
MUI 3.9 for 68k : Comment 15 of 37ANN.lu
Posted by Richi on 17-Jul-2004 07:43 GMT
In reply to Comment 14 (Anonymous):
Yes it's true, their changes don't go in the normal CVS
MUI 3.9 for 68k : Comment 16 of 37ANN.lu
Posted by insider on 17-Jul-2004 07:46 GMT
In reply to Comment 14 (Anonymous):
>Just a question: I heard that the MorphOS MUI 3.9 is different from >the "General" 3.9 now, that the MorphOS version has formed a completely >different branch and a path of development of its own. Is this correct?

yep, 'tis correct. stefan stuntz (the mui author) works for the morphos crew and implements some new features from time to time. os4 guys have just licensed mui 3.8 version from stuntz. not more. morphos' mui is much more advanced than os4 mui because y'know, in morphos, mui is part of the system, it actually is the gui system. in os4 it is just an addendum that users can run their 68k software with os4. os4 mui will be a mui 3.8 with important bugfixes but no new features. morphos mui is the one that is still developed by stefan because it is the system's gui engine.
MUI 3.9 for 68k : Comment 17 of 37ANN.lu
Posted by Anonymous on 17-Jul-2004 08:33 GMT
In reply to Comment 11 (smithy):
'supposed to run' ?

it runs very well on BPPC thankyou
MUI 3.9 for 68k : Comment 18 of 37ANN.lu
Posted by Anonymous on 17-Jul-2004 08:35 GMT
In reply to Comment 16 (insider):
strange you say that - because OS4 MUI 3.9 has new features. and its also damn fast - just look at the OS4 preview videos that have been posted recently.

oh! and if coders really really feel like it, theres no reason why their OS4 PowerPC native apps cant use MUI - its NOT just limited to legacy 68k programs.
(Already the PPC native version of YAM uses MUI for example!)
MUI 3.9 for 68k : Comment 19 of 37ANN.lu
Posted by Anonymous on 17-Jul-2004 08:36 GMT
In reply to Comment 5 (mark):
what? and dis-assemble to PPC binary and convert that back to 68k asm? yeah, right.
MUI 3.9 for 68k : Comment 20 of 37ANN.lu
Posted by Anonymous on 17-Jul-2004 08:40 GMT
In reply to Comment 7 (koan):
>Especially now there are two versions but one is restricted (OS4); not a great >choice is it?

if the OS4 version is restricted, why isnt the MorphOS version? both are tied to the OS platform they are designed for - and both are PPC. why are you labelling the OS4 version as restricted and letting the MorphOS version off-the-hook?

eh? The author himself is the one keeping MUI for MorphOS and PPC - your money and my money and everyone elses money that we paid to register with has been taken to support this evil situation. One reason to not only resent his actions, but also to resent any register-required graphical hack addon to the OS. one which has always been 'tolerated' by the Amigans as they waited for AmigaOS to actually get a decent GUI for the advanced OS it always has been!
MUI 3.9 for 68k : Comment 21 of 37ANN.lu
Posted by Amon_Re on 17-Jul-2004 08:40 GMT
In reply to Comment 16 (insider):
I recall a statement somewhere where it was guaranteed that both branches would have the same features towards applications (in other words, code using mui 3.9 would compile on both platforms without issue's)
MUI 3.9 for 68k : Comment 22 of 37ANN.lu
Posted by Anonymous on 17-Jul-2004 08:41 GMT
In reply to Comment 8 (Amon_Re):
you dont use Voyager or IBrowse? or AmFTP or StrICQ, Dynablaster etc?

lots of apps use MUI. its almost like a virus on an Amigans system.
MUI 3.9 for 68k : Comment 23 of 37ANN.lu
Posted by Amon_Re on 17-Jul-2004 08:42 GMT
In reply to Comment 20 (Anonymous):
Stephan can do with his code what he wishes, saying it's an "evil situation" won't help.
MUI 3.9 for 68k : Comment 24 of 37ANN.lu
Posted by Amon_Re on 17-Jul-2004 09:01 GMT
In reply to Comment 22 (Anonymous):
Nope, don't use any of those, i did use stricq in the past tho
MUI 3.9 for 68k : Comment 25 of 37ANN.lu
Posted by itix on 17-Jul-2004 09:12 GMT
In reply to Comment 20 (Anonymous):
MOS MUI and OS4 MUI should have same features for programmer. Havent seen MUI SDK for OS4 but I assume there are same V20 tags and methods.
MUI 3.9 for 68k : Comment 26 of 37ANN.lu
Posted by koan on 17-Jul-2004 14:22 GMT
In reply to Comment 20 (Anonymous):
if the OS4 version is restricted, why isnt the MorphOS version? both are tied to the OS platform they are designed for - and both are PPC. why are you labelling the OS4 version as restricted and letting the MorphOS version off-the-hook?

Because AFAIK the MorphOS version is much more developed than the OS4 version, as some other posters have mentioned above.


eh? The author himself is the one keeping MUI for MorphOS and PPC - your money and my money and everyone elses money that we paid to register with has been taken to support this evil situation.

I don't resent the author picking a team for himself but I am a little bit annoyed that my shareware fee didn't result in an update for the platform I use (classic) and is only fully supporting one of the new platforms.


to resent any register-required graphical hack addon to the OS. one which has always been 'tolerated' by the Amigans as they waited for AmigaOS to actually get a decent GUI for the advanced OS it always has been!

Before anyone even thought of browser wars, on Amiga the big question was MUI or no MUI. One side thought MUI was a resource hog and evil. The other side thought it was the best thing since the miniskirt and made computing 10x nicer.

At the end of the day, I don't understand why OS4 is using MUI instead of wholeheartedly going for Reaction, unless it's simply a quick fix.

koan
MUI 3.9 for 68k : Comment 27 of 37ANN.lu
Posted by koan on 17-Jul-2004 14:24 GMT
In reply to Comment 26 (koan):
aargh, forgot to end that last italic part:

...actually get a decent GUI for the advanced OS it always has been!

(my comment follows).

sorry!

koan
MUI 3.9 for 68k : Comment 28 of 37ANN.lu
Posted by Emeric SH on 17-Jul-2004 15:32 GMT
In reply to Comment 20 (Anonymous):
"eh? The author himself is the one keeping MUI for MorphOS and PPC - your money and my money and everyone elses money that we paid to register with has been taken to support this evil situation. One reason to not only resent his actions, but also to resent any register-required graphical hack addon to the OS. one which has always been 'tolerated' by the Amigans as they waited for AmigaOS to actually get a decent GUI for the advanced OS it always has been!"

Hm. You sound like you registered a future version of MUI, and not the actual one. You've got what you paid for - the registered version of MUI, not? It's a bit misleading stating otherwise.
MUI 3.9 for 68k : Comment 29 of 37ANN.lu
Posted by Richi on 17-Jul-2004 16:13 GMT
The version for Morphos is different because is more integrated in the system.
They develop MUI by themself and changes remain inside Morphos.
This does NOT mean the the os4 version is just a bugfix and recompile, in fact it is under development. The version in Os4 is limited because they buy a special license, not as limited as the normal shareware but not fully registered.
This simply because a fully license is VERY expensive for an amount of sells like OS4 (this was explained me by a OS4 developer).
Said that you have to understand that you'll be able to buy a keyfile of MUI in future so you'll be alble to use it completely.
This agreement was taken long ago when os4 was few more than a project, when Os4 will be out MUI will use all its new features.
Because to live Mui needs an Os and Os4 will be the standard.
So in short: in future you'll have os4 with a limited version of MUI (eg3.9) and you'll be able to download and install the latest available (eg4.2) and use it, but if you'll need all the features you must register. same as in the past.
MUI 3.9 for 68k : Comment 30 of 37ANN.lu
Posted by Anonymous on 17-Jul-2004 16:32 GMT
In reply to Comment 26 (koan):
> At the end of the day, I don't understand why OS4 is using MUI instead of >wholeheartedly going for Reaction, unless it's simply a quick fix.

OS4 isnt using MUI - its using ReAction - but MUI is available for OS4 - with all the bug fixes and basic new featres because theres lots of programs that use MUI.

having no native MUI etc would cripple the system in a lot of peoples perception, you know 'hey! I cant use XXXX, I cant run XXXX, this OS sucks!' mentality.
MUI 3.9 for 68k : Comment 31 of 37ANN.lu
Posted by Anonymous on 18-Jul-2004 06:20 GMT
The biggest reason for including MUI with OS4 is probably IBrowse! There just wouldn't be any semi-decent browser otherwise.
MUI 3.9 for 68k : Comment 32 of 37ANN.lu
Posted by Don Cox on 18-Jul-2004 08:29 GMT
In reply to Comment 30 (Anonymous):
"Having no native MUI etc would cripple the system in a lot of peoples perception, you know 'hey! I cant use XXXX, I cant run XXXX, this OS sucks!' mentality."

It doesn't have to be compiled for PPC, but obviously MUI must be provided. I wish it had been used for OS 3.9 rather than Reaction.

The purpose of an OS is to run programs, so "it won't run XXX" is indeed a good reason not to buy.
MUI 3.9 for 68k : Comment 33 of 37ANN.lu
Posted by koan on 18-Jul-2004 11:34 GMT
In reply to Comment 29 (Richi):
This agreement was taken long ago when os4 was few more than a project, when Os4 will be out MUI will use all its new features.

If the new MUI is in OS4 as a quick fix, just to let some older apps run then why did the OS4 designers decide they need a newer version ?


So in short: in future you'll have os4 with a limited version of MUI (eg3.9) and you'll be able to download and install the latest available (eg4.2) and use it, but if you'll need all the features you must register. same as in the past.

I registered MUI 3.8, will I need a new keyfile ? Or will there be an upgrade ?

koan
MUI 3.9 for 68k : Comment 34 of 37ANN.lu
Posted by Richi on 18-Jul-2004 16:02 GMT
In reply to Comment 33 (koan):
>I registered MUI 3.8, will I need a new keyfile ? Or will there be an upgrade ?

I don't think you'll need a new keyfile but this is just my opinion, i absolutely am not a MUI developer.

If the new MUI is in OS4 as a quick fix, just to let some older apps run then why did the OS4 designers decide they need a newer version ?

I said the opposite, perhaps in this moment MUI3.9 for os4 is few more then a bugfixed version, but in future it'll develop as is usual for a software (new features).
Ok in first place os4 needs MUI to run older software but Mui is not perfect so new features are natural to be implemented.
When you program a software and someone ask you why add new features when you can just bugfix? What are you going to asnwer?
MUI 3.9 for 68k : Comment 35 of 37ANN.lu
Posted by Anonymous on 18-Jul-2004 17:10 GMT
In reply to Comment 34 (Richi):
>I registered MUI 3.8, will I need a new keyfile ? Or will there be an upgrade ?

No, your 3.8 keyfile will work fine, AFAIK.


>I said the opposite, perhaps in this moment MUI3.9 for os4 is few more then a >bugfixed version, but in future it'll develop as is usual for a software (new >features).

I think the developers have made it clear that MUI really won't be extended, as Reaction is the GUI system that should be used. If you like MUI, you should run MOS instead, there you will see (and are seeing) big improvements...

>Ok in first place os4 needs MUI to run older software but Mui is not perfect >so new features are natural to be implemented.
>When you program a software and someone ask you why add new features when you>can just bugfix? What are you going to asnwer?

Reaction is the way forward :)
MUI 3.9 for 68k : Comment 36 of 37ANN.lu
Posted by Richi on 18-Jul-2004 19:09 GMT
In reply to Comment 35 (Anonymous):
I agree with you, i like reaction too.
But the developers of Reaction are not the same people of MUI so improvements are still possible.
MUI 3.9 for 68k : Comment 37 of 37ANN.lu
Posted by koan on 19-Jul-2004 07:11 GMT
In reply to Comment 34 (Richi):
When you program a software and someone ask you why add new features when you can just bugfix? What are you going to asnwer?

It depends on the severity of the bug, e.g. bug crashes system -> fix it, bug is typo -> low priority.

IMHO MUI3.8 is reasonably stable.

koan
Anonymous, there are 37 items in your selection
Back to Top